[riot-devel] edbg build failure in Vagrant VM due to missing libudev-devpackage + problems flashing Atmel samr21-xpro board

Cenk Gündoğan list-riot at cgundogan.de
Mon May 29 14:47:14 CEST 2017


Hello Kaspar,

I am working on it. The process of building such an image is described
in [1]. I will also do the publishing to Hashicorp [2] (needs
authentication).

Cheers,
Cenk

[1] https://github.com/RIOT-OS/RIOT/tree/master/dist/tools/packer
[2] https://atlas.hashicorp.com/RIOT/boxes/ubuntu1604

On 17-05-29 13:29:11, Kaspar Schleiser wrote:
> Hey all,
> 
> On 05/29/2017 10:21 AM, Adrian Herrmann wrote:
> > Attempting to flash with the edbg driver instead of OpenOCD results in
> > an error when using the Vagrant VM as building edbg requires the
> > libudev-dev package, which is not included in the image and cannot be
> > found in the configured package repositories either.
> 
> I've never used our Vagrant stuff. How do I change the VM template?
> Can maybe someone who knows add the missing package? Maybe @cenk? :)
> 
> Cheers!
> Kaspar
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 833 bytes
Desc: not available
URL: <http://lists.riot-os.org/pipermail/devel/attachments/20170529/5d39c911/attachment.sig>


More information about the devel mailing list